User V2 vault position history
A user's historical position in a Morpho Vault V2: shares held and the equivalent value in underlying assets.
Vault selector example: 1:0x23f5E9c35820f4baB695Ac1F19c203cC3f8e1e11 (format: <chain_id>:<vault_address>; replace with the target vault).
Path Parameters
Position owner address. Example: 0xabcdefabcdefabcdefabcdefabcdefabcdefabcd.
addressSelector formatted as <chain_id>:<vault_address>. Example: 1:0x23f5E9c35820f4baB695Ac1F19c203cC3f8e1e11.
<chain_id>:<vault_address>Query Parameters
Lookback period. Defaults to thirty_days. Historical sampling is selected automatically.
Value in
- "one_day"
- "seven_days"
- "thirty_days"
- "ninety_days"
- "one_year"
- "inception"
Response Body
application/json
curl -X GET "https://example.com/v0/vaults-v2/1:0x23f5E9c35820f4baB695Ac1F19c203cC3f8e1e11/users/0xabcdefabcdefabcdefabcdefabcdefabcdefabcd/position/history"{ "data": [ { "assets": "1012000000", "shares": "1000000000000000000000", "timestamp": 1729900800 }, { "assets": "1221000000", "shares": "1200000000000000000000", "timestamp": 1729987200 } ], "last_indexed_block": "19847234", "params": { "chain_id": "1", "user_address": "0x0000000000000000000000000000000000000001", "vault_address": "0x23f5E9c35820f4baB695Ac1F19c203cC3f8e1e11" }}GETUser V2 vault position activity
Events that changed a user's share balance in a Morpho Vault V2, newest first, one row per event log.
GETUser V2 vault position performance
Realized + unrealized earnings of a user's Morpho Vault V2 position. GET /v0/vaults-v2/{vault-selector}/users/{user-address}/position/performance.